### Gradient

Category

Transformation

Function

Computes the gradient of a scalar field.

Syntax

    gradient = Gradient(data, method);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`data` | scalar field | none | field whose gradient is to be computed
`method` | string | "manhattan" | method to use

Outputs

Name | Type | Description
--- | --- | ---
`gradient` | vector field | gradient field

Functional Details

`data` | is the scalar field.
`method` | specifies how the gradient will be computed. At present, the only method supported is "manhattan."

Components

Modifies the "data" component. All other input components are propagated to the output.

Example Visual Programs

    ComputeOnData.net
    Imide_potential.net
    InvalidData.net
    UsingCompute2.net
    UsingIsosurface.net
    SIMPLE/Gradient.net

See Also

DivCurl, Normals

[ OpenDX Home at IBM | OpenDX.org ]